## scribus 1.4.2.dfsg.3+r18267

=== debian/changelog ===
scribus (1.4.2.dfsg.3+r18267-2) unstable; urgency=medium

  * [cee3e4f] switch to dh9:
    + debian/compat: bump 7 -> 9.
    + debian/rules: greatly simplify.
    + debian/control: bump Build-Depend on debhelper to 9.0.
    + debian/install: add a file, previusly installed via rules.
    + debian/docs: list here some docs, instead of using rules.
    + debian/pycompat: drop, not needed anymore.
    + debian/scribus.lintian: rename to debian/scribus.lintian-overrides
    + debian/dirs: remove all now useless dirs.
    + this fixes a lot of hardening-no-relro lintian warnings.
  * [37e5355] debian/watch: change pgp check from .sig to .asc.
  * debian/control:
    + [44fa951] do wrap-and-sort maintenance
    + [adf01fc] suggest texlive-latex-recommended and cite it in the
      description (Closes: #732694) (LP: #915388)
    + [a0354de] recommend ttf-bitstream-vera, which is used in a template
    + [e2a0e53] recommend fonts-liberation, which is used in templates
  * debian/rules:
    + [52415e9] enable full hardening.
    + [af2f904] remove references to proprietary fonts and use free fonts in
      templates. (Thanks to Trent W. Buck <trentbuck@gmail.com> for the patch)
      (Closes: #742003)

 -- Mattia Rizzolo <mattia@mapreri.org>  Wed, 23 Jul 2014 09:25:08 +0200

scribus (1.4.2.dfsg.3+r18267-1) unstable; urgency=medium

  * Remove scribus/profiles/GenericCMYK.icm:
    + [1dd1b23] Repack to remove the non-free profile.
    + [e32bfb4] debian/README.source: update according to the last repack.
    + [a674ee9] debian/patches/profiles_cmakelists.patch: update to reflect
      the last repack.
  * debian/control:
    + [aba660c] bump Standards-Version to 3.9.5 (no changes needed).
    + [8311a60] fix vcs-field-not-canonical lintian tag.
    + [5197746] fix homepage-in-binary-package lintian tag.
    + [a864b9d] build-depend on libtiff-dev rather than libtiff4-dev (Closes:
    #736046).
    + [40b8286] drop hard depends on python.
    + [ded9f31] version the build-dep for python-all-dev (to call dh_python2).
    + [28aed8c] add myself to the Uploaders.
    + [c3ab5a9] recommend icc-profiles-free
  * [bb004c8] debian/copyright:
    + fix unversioned-copyright-format-uri lintian tag.
    + fix syntax-error-in-dep5-copyright lintian tag.
    + add myself to copyrights holder of debian/*.
    + update years.
  * [b4b6d64] debian/patches/{profiles,scribus}_cmakelists.patch:
    + fix quilt-patch-missing-description lintian tags.
  * [9ca8d7f] debian/watch, debian/upstream/signing-key.asc:
    + update: add some more heuristics to dversionmangle.
    + add gpg check (fix debian-watch-may-check-gpg-signature lintian tag).
  * debian/rules:
    + [21f679d] fix duplicate-changelog-files lintian tag.
    + [a03f68a] add a call to dh_python2 to proper version the dependence on
      python.
    + [c3ef0e7] fix package-contains-empty-directory lintian tag.
    + [0a4d00b] make the build verbose.
  * [ed3c167] debian/patch/hyphen-used-as-minus-sign.patch:
    + add to fix the homonymous lintian tag.
  * [206a0ed] debian/NEWS: fix debian-news-entry-uses-asterisk lintian tag.


 -- Mattia Rizzolo <mattia@mapreri.org>  Thu, 03 Jul 2014 14:15:56 +0200

scribus (1.4.2.dfsg.2+r18267-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove resources/editorconfig/dot.svg (Closes: #741666):
    + [e4927c3] Repack the source to remove a non-free image.
    + [0d54ebf] debian/README.source: update to reflect the above change.
    + [67e3a92] debian/patch/remove_non-free_file.patch: add
  * [ba8d805] debian/control: change build-dep liblcms1-dev → liblcms2-dev
    (Closes: #745526)

 -- Mattia Rizzolo <mattia@mapreri.org>  Sun, 01 Jun 2014 19:36:30 +0200

scribus (1.4.2.dfsg.1+r18267-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Repack the source to remove some non-free contents. (Closes: #741666)
  * debian/README.source: update to reflect the above changes.

 -- Mattia Rizzolo <mattia@mapreri.org>  Sun, 11 May 2014 16:29:44 +0200

scribus (1.4.2.dfsg+r18267-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/patch/qreal_double.patch: Avoid qreal/double clashes on ARM
    (imported from Ubuntu). (Closes: #707882)

 -- Mattia Rizzolo <mattia@mapreri.org>  Sat, 21 Dec 2013 16:13:37 +0100

=== debian/control ===
Source: scribus
Section: graphics
Priority: optional
Maintainer: Oleksandr Moskalenko <malex@debian.org>
Uploaders: Mattia Rizzolo <mattia@mapreri.org>
Build-Depends: cmake (>= 2.4.3),
               debhelper (>= 9),
               gcc (>=3.3.5),
               gettext,
               libboost-python-dev,
               libcairo2-dev,
               libcups2-dev,
               libhunspell-dev,
               libhyphen-dev,
               liblcms2-dev,
               libpodofo-dev (>= 0.9.0),
               libqt4-dev (>= 4.6),
               libtiff-dev,
               libxml2-dev (>= 2.6.16),
               python-all-dev (>= 2.6.6-3~),
               zlib1g-dev
Standards-Version: 3.9.5
Vcs-Git: git://anonscm.debian.org/collab-maint/scribus.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/scribus.git
Homepage: http://www.scribus.net

Package: scribus
Architecture: any
Depends: ghostscript (>= 8.61),
         python-tk,
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Recommends: cups-bsd,
            fonts-liberation,
            icc-profiles-free,
            ttf-bitstream-vera,
            xfonts-scalable | gsfonts-x11
Suggests: icc-profiles,
          scribus-template,
          texlive-latex-recommended
Provides: ${python:Provides}
XB-Python-Version: ${python:Versions}
Description: Open Source Desktop Page Layout - stable branch
 Scribus is an open source desktop page layout program with the aim of
 producing commercial grade output in PDF and Postscript, primarily, though
 not exclusively for Linux.
 .
 Scribus can be used for many tasks; from brochure design to newspapers,
 magazines, newsletters and posters to technical documentation. It has
 sophisticated page layout features like precision placing and rotating of text
 and/or images on a page, manual kerning of type, bezier curves polygons,
 precision placement of objects, layering with RGB and CMYK custom colors. The
 Scribus document file format is XML-based. Unlike proprietary binary file
 formats, even damaged documents, can be recovered with a simple text editor.
 .
 Scribus supports professional DTP features, such as CMYK color and a
 color management system to soft proof images for high quality color printing,
 flexible PDF creation options, Encapsulated PostScript import/export and
 creation of 4 color separations, import of EPS/PS and SVG as native vector
 graphics, Unicode text including right to left scripts such as Arabic and
 Hebrew via freetype. Graphic formats which can be placed in Scribus as images
 include PDF, Encapsulated Post Script (eps), TIFF, JPEG, PNG and XPixMap(xpm),
 and any bitmap type supported by QT4.
 .
 Printing, PDF and SVG creation are done via custom driver libraries and
 plug-ins, giving Scribus inventive features: the abilities to include
 presentation effects with PDF output, fully scriptable interactive PDF
 forms, SVG vector file output. The internal printer drivers fully support
 Level 2 and Level 3/PDF 1.4 postscript features including transparency and
 font embedding.
 .
 When run from KDE, Drag and Drop, for example from desktop to the canvas,
 is enabled. There is easy to use drag and drop scrapbook for frequently
 used items such as text blocks, pictures and custom shaped frames.
 .
 If you need to use the render frame install the texlive-latex-recommended
 (suggested).

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --buildsystem=cmake --with python2

override_dh_auto_configure:
	dh_auto_configure -- \
	    -DWANT_LIB32:BOOL=1 \
	    -DWANT_CAIRO:BOOL=1 \
	    -DWANT_HUNSPELL=1 \
	    -DWANT_DISTROBUILD:BOOL=1 \
	    -DWANT_NORPATH:BOOL=1 \
	    -DCMAKE_SKIP_RPATH:BOOL=1 \
	    -DRPATH_STYLE:STRING=none \
	    -DWANT_VERSIONING:BOOL=0 \
	    -DCUSTOM_VERSIONTAG:STRING=""

override_dh_auto_install:
	dh_auto_install
	mv -v $(CURDIR)/debian/scribus/usr/share/scribus/scripts/ChangeLog $(CURDIR)/debian/scribus/usr/share/doc/scribus/ChageLogScrips
	mv -v $(CURDIR)/debian/scribus/usr/share/scribus/icons/scribus.png $(CURDIR)/debian/scribus/usr/share/pixmaps/scribus.png
	rm -v $(CURDIR)/debian/scribus/usr/share/doc/scribus/ChangeLogSVN \
	      $(CURDIR)/debian/scribus/usr/share/doc/scribus/AUTHORS \
	      $(CURDIR)/debian/scribus/usr/share/doc/scribus/BUILDING \
	      $(CURDIR)/debian/scribus/usr/share/doc/scribus/ChangeLog \
	      $(CURDIR)/debian/scribus/usr/share/doc/scribus/PACKAGING \
	      $(CURDIR)/debian/scribus/usr/share/doc/scribus/NEWS \
	      $(CURDIR)/debian/scribus/usr/share/doc/scribus/TODO \
	      $(CURDIR)/debian/scribus/usr/share/doc/scribus/COPYING \
	      $(CURDIR)/debian/scribus/usr/share/scribus/scripts/NEWS \
	      $(CURDIR)/debian/scribus/usr/share/scribus/scripts/TODO
	find $(CURDIR)/debian/scribus -type d -empty -delete
	# remove references to prorietary fonts and use free fonts in templates. See https://bugs.debian.org/742003
	gunzip -v $(CURDIR)/debian/scribus/usr/share/scribus/templates/*/*.sla.gz
	sed -i $(CURDIR)/debian/scribus/usr/share/scribus/templates/*/*.sla \
		-e 's/Arial Regular/Liberation Sans Regular/g' \
		-e 's/Arial Black Regular/Liberation Sans Bold/g' \
		-e 's/FreeSans Medium/Liberation Sans Bold/g'
	gzip -v -8 $(CURDIR)/debian/scribus/usr/share/scribus/templates/*/*.sla

override_dh_fixperms:
	dh_fixperms
	chmod -v 755 $(CURDIR)/debian/scribus/usr/lib/scribus/plugins/*.so
	chmod -v 755 $(CURDIR)/debian/scribus/usr/lib/scribus/plugins/*/*.so

## scribus 1.4.4+dfsg1

=== CMakeLists.txt ===
##############################################################################################################
########## CMake Setup                                                                              ##########

#Set our CMake minimum version
#Require 2.4.2 for Qt finding
#Require 2.4.3 for moc change detection and rpath updates for custom cairo install
#its not likely 2.4.x will work any more
CMAKE_MINIMUM_REQUIRED(VERSION 2.6.0 FATAL_ERROR)

#IF(WIN32)
#  IF (${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION} LESS 2.6)
#    MESSAGE(FATAL_ERROR "Windows builds require CMake 2.6")
#  ENDIF (${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION} LESS 2.6)
#ENDIF(WIN32)

#Pretty colors
SET(CMAKE_COLOR_MAKEFILE ON)
#Dont force verbose
SET(CMAKE_VERBOSE_MAKEFILE OFF)
#Include current dir
SET(CMAKE_INCLUDE_CURRENT_DIR TRUE)

#RPATH setup - more below too
IF (WANT_NORPATH OR WANT_DISTROBUILD)
    SET(CMAKE_SKIP_RPATH TRUE)
ELSE (WANT_NORPATH OR WANT_DISTROBUILD)
    SET(CMAKE_SKIP_BUILD_RPATH TRUE)
    SET(CMAKE_BUILD_WITH_INSTALL_RPATH TRUE)
    SET(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)
    SET(CMAKE_SKIP_RULE_DEPENDENCY TRUE)
ENDIF (WANT_NORPATH OR WANT_DISTROBUILD)

INCLUDE(CheckIncludeFile)
INCLUDE(CheckCCompilerFlag)
INCLUDE(CheckCXXCompilerFlag)
INCLUDE(CheckTypeSize)
INCLUDE(TestBigEndian)

#Set the custom CMake module directory where our include/lib finders are
SET(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules")

##############################################################################################################
########## toplevel compiler flags                                                                  ##########

# CHECK_C_COMPILER_FLAG(" ${CMAKE_SHARED_LIBRARY_C_FLAGS}" C_HAVE_PIC)
# CHECK_CXX_COMPILER_FLAG(" ${CMAKE_SHARED_LIBRARY_C_FLAGS}" CXX_HAVE_PIC)
# IF (CXX_HAVE_PIC AND C_HAVE_PIC)
#     SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${CMAKE_SHARED_LIBRARY_C_FLAGS}")
#     SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${CMAKE_SHARED_LIBRARY_C_FLAGS}")
# ELSE (CXX_HAVE_PIC AND C_HAVE_PIC)
#     MESSAGE(FATAL_ERROR "Shared library support is missing")
# ENDIF (CXX_HAVE_PIC AND C_HAVE_PIC)

# SET(CMAKE_SHARED_MODULE_LINK_FLAGS "${CMAKE_SHARED_MODULE_LINK_FLAGS} -export-dynamic")
# SET(CMAKE_SHARED_MODULE_LINK_CXX_FLAGS "${CMAKE_SHARED_MODULE_LINK_CXX_FLAGS} -export-dynamic")
# SET(CMAKE_SHARED_LIBRARY_C_FLAGS "${CMAKE_SHARED_LIBRARY_C_FLAGS} -export-dynamic")
# SET(CMAKE_SHARED_LIBRARY_CXX_FLAGS "${CMAKE_SHARED_LIBRARY_CXX_FLAGS} -export-dynamic")
# MESSAGE(STATUS ${CMAKE_SHARED_MODULE_LINK_FLAGS})
# MESSAGE(STATUS ${CMAKE_SHARED_MODULE_LINK_CXX_FLAGS})
# MESSAGE(STATUS ${CMAKE_SHARED_LIBRARY_C_FLAGS})
# MESSAGE(STATUS ${CMAKE_SHARED_LIBRARY_CXX_FLAGS})
# MESSAGE(STATUS ${CMAKE_CXX_CREATE_SHARED_MODULE})
# MESSAGE(STATUS ${CMAKE_CXX_CREATE_SHARED_LIBRARY})

#IMPORT FROM COMMANDLINE
# SET with cmake -DWANT_CAIRO=1, etc
# MESSAGE(STATUS ${WANT_CAIRO})
# MESSAGE(STATUS ${WANT_LIBART})
# MESSAGE(STATUS ${WANT_DEBUG})

# SET(WANT_CAIRO 0)
# SET(WANT_LIBART 1)

#Project Setup
PROJECT(scribus)
#Set our version values
#Final version is ${VERSION} = ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH}.${VERSION_SUFFIX}
#where VERSION_SUFFIX is of the form "", "svn" or "Nsvn" (N being the minor patch level)
SET (VERSION_MAJOR "1")
SET (VERSION_MINOR "4")
SET (VERSION_PATCH "4")
SET (VERSION_SUFFIX "")
SET (VERSION ${VERSION_MAJOR})
IF (VERSION_MINOR GREATER -1)
  SET (VERSION ${VERSION}.${VERSION_MINOR})
ENDIF (VERSION_MINOR GREATER -1)
IF (VERSION_PATCH GREATER -1)
  SET (VERSION ${VERSION}.${VERSION_PATCH})
ENDIF (VERSION_PATCH GREATER -1)
IF (VERSION_SUFFIX)
  SET (VERSION ${VERSION}.${VERSION_SUFFIX})
ENDIF (VERSION_SUFFIX)
MESSAGE(STATUS "Scribus ${VERSION} will be built to install into ${CMAKE_INSTALL_PREFIX}")

#Set the permissions to be used when installing plugins
SET(PLUGIN_PERMISSIONS WORLD_EXECUTE GROUP_EXECUTE OWNER_EXECUTE WORLD_READ GROUP_READ OWNER_READ OWNER_WRITE)

#Our main directory is scribus
SET(MAIN_DIR_NAME "scribus")

##############################################################################################################
########## check for the CPU we build for                                                           ##########

EXECUTE_PROCESS(
    COMMAND ${CMAKE_C_COMPILER} -dumpmachine
    OUTPUT_VARIABLE MACHINE
    OUTPUT_STRIP_TRAILING_WHITESPACE
)

MESSAGE(STATUS  "Machine: ${MACHINE}, void pointer size: ${CMAKE_SIZEOF_VOID_P}")
STRING(REGEX MATCH "(i?86-*)|(athlon-*)|(pentium-*)" _machine_x86 "${MACHINE}")
IF (_machine_x86)
    MESSAGE(STATUS "Found target X86")
    SET(ARCH_X86 1)
ENDIF (_machine_x86)
IF (APPLE AND CMAKE_SIZEOF_VOID_P EQUAL 8 AND ARCH_X86 EQUAL 1)
  MESSAGE(STATUS "Found Snow Leopard Target: Apple, 64 bit, X86")
  UNSET(ARCH_X86)
  SET(ARCH_X86_64 1)
  SET(APPLE_10_6_X 1 CACHE TYPE BOOL)
ENDIF (APPLE AND CMAKE_SIZEOF_VOID_P EQUAL 8 AND ARCH_X86 EQUAL 1)

STRING(REGEX MATCH "(x86_64-*)|(X86_64-*)|(AMD64-*)|(amd64-*)" _machine_x86_64 "${MACHINE}")
IF (_machine_x86_64)
    MESSAGE(STATUS "Found target X86_64")
    SET(ARCH_X86_64 1)
ENDIF (_machine_x86_64)

STRING(REGEX MATCH "(sparc64-*)|(SPARC64-*)" _machine_sparc_64 "${MACHINE}")
IF (_machine_sparc_64)
    MESSAGE(STATUS "Found target SPARC 64")
    SET(ARCH_SPARC_64 1)
ENDIF (_machine_sparc_64)

STRING(REGEX MATCH "(mips64-*)|(MIPS64-*)" _machine_mips_64 "${MACHINE}")
IF (_machine_mips_64)
    MESSAGE(STATUS "Found target MIPS 64")
    SET(ARCH_MIPS_64 1)
ENDIF (_machine_mips_64)

STRING(REGEX MATCH "(mips-*)|(MIPS-*)" _machine_mips "${MACHINE}")
IF (_machine_mips)
    MESSAGE(STATUS "Found target MIPS")
    SET(ARCH_MIPS 1)
ENDIF (_machine_mips)

STRING(REGEX MATCH "(hppa-*)" _machine_hppa "${MACHINE}")
IF (_machine_hppa)
    MESSAGE(STATUS "Found target HPPA")
    SET(ARCH_HPPA 1)
ENDIF (_machine_hppa)

STRING(REGEX MATCH "(ppc-*)|(powerpc-*)" _machine_ppc "${MACHINE}")
IF (_machine_ppc)
    MESSAGE(STATUS "Found target PPC")
    SET(ARCH_PPC 1)
ENDIF (_machine_ppc)

STRING(REGEX MATCH "(ppc64-*)|(PPC64-*)|(powerpc64-*)" _machine_ppc_64 "${MACHINE}")
IF (_machine_ppc_64)
    MESSAGE(STATUS "Found target PPC64")
    SET(ARCH_PPC_64 1)
ENDIF (_machine_ppc_64)

STRING(REGEX MATCH "(sparc-*)" _machine_sparc "${MACHINE}")
IF (_machine_sparc)
    MESSAGE(STATUS "Found target Sparc")
    SET(ARCH_SPARC 1)
ENDIF (_machine_sparc)

STRING(REGEX MATCH "(sparcv9-*)" _machine_sparcv9 "${MACHINE}")
IF (_machine_sparcv9)
    MESSAGE(STATUS "Found target Sparc v9")
    SET(ARCH_SPARCV9 1)
ENDIF (_machine_sparcv9)

STRING(REGEX MATCH "(sparc64-*)" _machine_sparc64 "${MACHINE}")
IF (_machine_sparc64)
    MESSAGE(STATUS "Found target Sparc64")
    SET(ARCH_SPARC64 1)
    SET(ARCH64BIT 1)
ENDIF (_machine_sparc64)

#convert any 64 bit build into generic 64 tag for below
IF (ARCH_X86_64 OR ARCH_SPARC_64 OR ARCH_MIPS_64 OR ARCH_PPC_64) 
  SET(ARCH64BIT 1)
ENDIF (ARCH_X86_64 OR ARCH_SPARC_64 OR ARCH_MIPS_64 OR ARCH_PPC_64) 

MESSAGE(STATUS "Building for target ${MACHINE}")

##############################################################################################################
########## Versioning Setup                                                                         ##########

#On Apple, we ignore the versioning tag so all items are "scribus" not "scribus-version"
IF (NOT BUILD_OSX_BUNDLE)
  SET(BUILD_OSX_BUNDLE ${APPLE} CACHE TYPE BOOL)
ENDIF (NOT BUILD_OSX_BUNDLE)

#Simplify future conditionals for Apple
IF (APPLE AND BUILD_OSX_BUNDLE)
  SET(APPLEBUNDLE TRUE CACHE TYPE BOOL)
ENDIF (APPLE AND BUILD_OSX_BUNDLE)

#Announce we cached a version request before, overridden below for OSX
IF(TAG_VERSION)
  IF (NOT APPLEBUNDLE)
    MESSAGE(STATUS "Previously selected version tag: ${TAG_VERSION}")
  ENDIF (NOT APPLEBUNDLE)
  SET(WANT_VERSIONING 1)
  SET(CACHED_VERSIONING 1)
ENDIF(TAG_VERSION)

#Remove version tags on OSX so our bundle is Scribus.app
IF (APPLEBUNDLE)
  IF (WANT_VERSIONING OR CACHED_VERSIONING)
    MESSAGE(STATUS "Ignoring version tag on OSX when building bundle")
    SET(WANT_VERSIONING 0)
    SET(CACHED_VERSIONING 0)
  ENDIF (WANT_VERSIONING OR CACHED_VERSIONING)
ENDIF (APPLEBUNDLE)

#Store our version string if require
IF (WANT_VERSIONING AND NOT CACHED_VERSIONING)
  IF (NOT CUSTOM_VERSIONTAG)
    SET(TAG_VERSION "-${VERSION}" CACHE TYPE STRING)
  ELSE (NOT CUSTOM_VERSIONTAG)
    SET(TAG_VERSION ${CUSTOM_VERSIONTAG} CACHE TYPE STRING)
  ENDIF (NOT CUSTOM_VERSIONTAG)
ENDIF (WANT_VERSIONING AND NOT CACHED_VERSIONING)

##############################################################################################################
########## Install/Directory Setup                                                                  ##########

IF (APPLEBUNDLE)
  IF ("${CMAKE_INSTALL_PREFIX}" MATCHES "[.]app/Contents/?$")
    # all ok
  ELSE ("${CMAKE_INSTALL_PREFIX}" MATCHES "[.]app/Contents/?$")
    IF ("${CMAKE_INSTALL_PREFIX}" MATCHES "[.]app/?$")
      # add "/Contents" subpath
      SET(CMAKE_INSTALL_PREFIX "${CMAKE_INSTALL_PREFIX}/Contents")
    ELSE ("${CMAKE_INSTALL_PREFIX}" MATCHES "[.]app/?$")
      # no bundle name spcified, use appname and version
      SET(CMAKE_INSTALL_PREFIX "${CMAKE_INSTALL_PREFIX}/Scribus${VERSION}.app/Contents")
    ENDIF ("${CMAKE_INSTALL_PREFIX}" MATCHES "[.]app/?$")
  ENDIF ("${CMAKE_INSTALL_PREFIX}" MATCHES "[.]app/Contents/?$")

  MESSAGE(STATUS "APPLEBUNDLE install prefix: ${CMAKE_INSTALL_PREFIX}")
ENDIF (APPLEBUNDLE)


#Setp all the directories we will use
#MAN
CMAKE_POLICY(SET CMP0005 OLD)
SET(MANDIR "share/man/")
IF(WANT_VERSIONING)
    SET(SHAREDIR "share/${MAIN_DIR_NAME}${TAG_VERSION}/")
ELSE(WANT_VERSIONING)
    SET(SHAREDIR "share/${MAIN_DIR_NAME}/")
ENDIF(WANT_VERSIONING)
ADD_DEFINITIONS("-DSHAREDIR=\\\"${CMAKE_INSTALL_PREFIX}/${SHAREDIR}\\\"")

#SHARE - use the default on Apple as TAG_VERSION is empty
IF(WIN32 OR OS2)
  SET(DOCDIR "share/doc/")
ELSE (WIN32 OR OS2)
  IF(TAG_VERSION OR BUILD_OSX_BUNDLE)
    SET(DOCDIR "share/doc/${MAIN_DIR_NAME}${TAG_VERSION}/")
  ELSE(TAG_VERSION OR BUILD_OSX_BUNDLE)
        IF(NOT WANT_VERSIONING)
            SET(DOCDIR "share/doc/${MAIN_DIR_NAME}/")
        ELSE(NOT WANT_VERSIONING)
            SET(DOCDIR "share/doc/${MAIN_DIR_NAME}-${VERSION}/")
        ENDIF(NOT WANT_VERSIONING)
  ENDIF (TAG_VERSION OR BUILD_OSX_BUNDLE)
ENDIF (WIN32 OR OS2)
ADD_DEFINITIONS("-DDOCDIR=\\\"${CMAKE_INSTALL_PREFIX}/${DOCDIR}\\\"")

#ICON
IF(WIN32)
  SET(ICONDIR "share/icons/")
ELSE(WIN32)
  SET(ICONDIR "share/${MAIN_DIR_NAME}${TAG_VERSION}/icons/")
ENDIF(WIN32)
ADD_DEFINITIONS("-DICONDIR=\\\"${CMAKE_INSTALL_PREFIX}/${ICONDIR}\\\"")

#SAMPLES
SET(SAMPLESDIR "share/${MAIN_DIR_NAME}${TAG_VERSION}/samples/")
ADD_DEFINITIONS("-DSAMPLESDIR=\\\"${CMAKE_INSTALL_PREFIX}/${SAMPLESDIR}\\\"")

#SCRIPTS
SET(SCRIPTSDIR "share/${MAIN_DIR_NAME}${TAG_VERSION}/scripts/")
ADD_DEFINITIONS("-DSCRIPTSDIR=\\\"${CMAKE_INSTALL_PREFIX}/${SCRIPTSDIR}\\\"")

#TEMPLATES
IF(WIN32)
  SET(TEMPLATEDIR "share/templates/")
ELSE(WIN32)
  SET(TEMPLATEDIR "share/${MAIN_DIR_NAME}${TAG_VERSION}/templates/")
ENDIF(WIN32)
ADD_DEFINITIONS("-DTEMPLATEDIR=\\\"${CMAKE_INSTALL_PREFIX}/${TEMPLATEDIR}\\\"")

#DESKTOP
SET(DESKTOPDIR "share/applications/")
ADD_DEFINITIONS("-DDESKTOPDIR=\\\"${CMAKE_INSTALL_PREFIX}/${DESKTOPDIR}\\\"")

# APPLICATION_DATA_DIR
# It allows specify the user configuration directory in the compile time.
# Example: I want to use special ~/.scribus135svn config directory for my trunk
#          cmake -DAPPLICATION_DATA_DIR=.scribus135svn ...
IF (APPLICATION_DATA_DIR)
	MESSAGE(STATUS "Using ApplicationDataDir ${APPLICATION_DATA_DIR} instead of the platform default.")
    ADD_DEFINITIONS("-DAPPLICATION_DATA_DIR=\\\"${APPLICATION_DATA_DIR}\\\"")
ELSE (APPLICATION_DATA_DIR)
    MESSAGE(STATUS "Using standard ApplicationDataDir. You can change it with -DAPPLICATION_DATA_DIR")
ENDIF (APPLICATION_DATA_DIR)

#LIB LOCATION - lib or lib64 normally
#LIB
IF(WANT_LIB64)
  IF(NOT ARCH_X86_64)

=== scribus/plugins/gettext/pdbim/CMakeLists.txt ===
INCLUDE_DIRECTORIES(
${CMAKE_SOURCE_DIR}
${CMAKE_SOURCE_DIR}/scribus
)

SET(PDB_GT_PLUGIN_SOURCES
pdbim.cpp
)

SET(SCRIBUS_PDB_GT_PLUGIN "pdbim")

ADD_LIBRARY(${SCRIBUS_PDB_GT_PLUGIN} MODULE ${PDB_GT_PLUGIN_SOURCES})

TARGET_LINK_LIBRARIES(${SCRIBUS_PDB_GT_PLUGIN} ${PLUGIN_LIBRARIES})

INSTALL(TARGETS ${SCRIBUS_PDB_GT_PLUGIN}
  LIBRARY
  DESTINATION ${PLUGINDIR}gettext
  PERMISSIONS ${PLUGIN_PERMISSIONS}
)

# SET_TARGET_PROPERTIES(${SCRIBUS_FONTPREVIEW_PLUGIN} PROPERTIES VERSION "0.0.0")

=== debian/changelog ===
scribus (1.4.4+dfsg1-2) unstable; urgency=medium

  * [a780c7d] Use /usr/share/hyphen to provide hyphenator dicts:
    + debian/control:
      - promote hyphen-hyphenation-patterns from suggests to recommends.
    + debian/patches/762942:
      - allow the use of symlinks in the directory used to pick up dicts.
    + debian/scribus.links:
      - link usr/share/hyphen → usr/share/scribus/dicts.
    + Closes: #762942
  * [3590799] debian/control: bump standards-version to 3.9.6.
  * [7b37ea0] debian/rules: use gzip -n to allow reproducibily building.

 -- Mattia Rizzolo <mattia@mapreri.org>  Mon, 20 Oct 2014 21:01:51 +0200

scribus (1.4.4+dfsg1-1) unstable; urgency=medium

  * [54f1b99] Imported Upstream version 1.4.4+dfsg1. (Closes: #747814)
     + Now scribus compiles fine with clang (Closes: #753277).
     + Repacked to remove resources/dicts (Closes: #410079).
       - [41385a7] debian/{copyright,README.source}: update accordingly.
       - [a2a847a] debian/patches/remove_non-free_file.patch: update.
       - indirectly closes: #533081.
       - maybe they are really dfsg-compliant, but given that their licenses
         are unclear, and that we are not using them, let's remove them.
  * [e2c4c28] update upstream information:
    + debian/copyright:
      - update years.
      - add Files-Excluded field.
    + debian/README.source:
      - rewrite and update it.
  * debian/control:
    + [5a38dbf] remove build-dep on gcc, unversion the build-dep on libqt4-dev
      (4.6 is in oldstable now).
    + [8f58a88] suggest hyphen-hyphenation-patterns.
  * debian/rules:
    + [7ec2bac] remove a now pointless configure switch.
    + [8279630] enable parallel building.
    + [898e7c2] enable LFS.
  * [21cede5] debian/patches/* refresh entire patchset:
    + [63f3980] spelling-error-in-binary_*: add to fix homonymous lintian tag.
    + [4d8ab12] qreal_double.patch: update header.
  * [ac8bb35] debian/control: suggest scribus-doc (non-free).
  * [0618e96] debian/scribus.links: add to symlink
    usr/share/doc/scribus/{copyright → COPYING} (used in the scribus interface,
    in the about window).

 -- Mattia Rizzolo <mattia@mapreri.org>  Mon, 25 Aug 2014 09:51:58 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,6 @@
 Uploaders: Mattia Rizzolo <mattia@mapreri.org>
 Build-Depends: cmake (>= 2.4.3),
                debhelper (>= 9),
-               gcc (>=3.3.5),
                gettext,
                libboost-python-dev,
                libcairo2-dev,
@@ -14,12 +13,12 @@
                libhyphen-dev,
                liblcms2-dev,
                libpodofo-dev (>= 0.9.0),
-               libqt4-dev (>= 4.6),
+               libqt4-dev,
                libtiff-dev,
                libxml2-dev (>= 2.6.16),
                python-all-dev (>= 2.6.6-3~),
                zlib1g-dev
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Git: git://anonscm.debian.org/collab-maint/scribus.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/scribus.git
 Homepage: http://www.scribus.net
@@ -33,10 +32,12 @@
          ${shlibs:Depends}
 Recommends: cups-bsd,
             fonts-liberation,
+            hyphen-hyphenation-patterns,
             icc-profiles-free,
             ttf-bitstream-vera,
             xfonts-scalable | gsfonts-x11
 Suggests: icc-profiles,
+          scribus-doc,
           scribus-template,
           texlive-latex-recommended
 Provides: ${python:Provides}

=== debian/rules ===
--- 
+++ 
@@ -3,20 +3,19 @@
 
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
+CFLAGS += -D_LARGEFILE64_SOURCE=1 -D_LARGEFILE_SOURCE=1 -D_FILE_OFFSET_BITS=64
+CXXFLAGS += -D_LARGEFILE64_SOURCE=1 -D_LARGEFILE_SOURCE=1 -D_FILE_OFFSET_BITS=64
+
 %:
-	dh $@ --buildsystem=cmake --with python2
+	dh $@ --buildsystem=cmake --parallel --with python2
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
-	    -DWANT_LIB32:BOOL=1 \
-	    -DWANT_CAIRO:BOOL=1 \
 	    -DWANT_HUNSPELL=1 \
 	    -DWANT_DISTROBUILD:BOOL=1 \
 	    -DWANT_NORPATH:BOOL=1 \
 	    -DCMAKE_SKIP_RPATH:BOOL=1 \
-	    -DRPATH_STYLE:STRING=none \
 	    -DWANT_VERSIONING:BOOL=0 \
-	    -DCUSTOM_VERSIONTAG:STRING=""
 
 override_dh_auto_install:
 	dh_auto_install
@@ -39,7 +38,7 @@
 		-e 's/Arial Regular/Liberation Sans Regular/g' \
 		-e 's/Arial Black Regular/Liberation Sans Bold/g' \
 		-e 's/FreeSans Medium/Liberation Sans Bold/g'
-	gzip -v -8 $(CURDIR)/debian/scribus/usr/share/scribus/templates/*/*.sla
+	gzip -v -n -8 $(CURDIR)/debian/scribus/usr/share/scribus/templates/*/*.sla
 
 override_dh_fixperms:
 	dh_fixperms

## scribus 1.4.5+dfsg1

=== debian/changelog ===
scribus (1.4.5+dfsg1-2) unstable; urgency=medium

  * debian/control:
    + [1fb6d0b] use the cgit fronted in Vcs-Browser
    + [0fbaafb] change to priority:extra from optional, since we depend on a
      priority:extra package
  * [0f3a7ac] debian/scribus{,-data}.install: install the .desktop file in
    /usr/share/applications in the scribus binary
    Closes: #795705, LP: #1487031

 -- Mattia Rizzolo <mattia@mapreri.org>  Thu, 24 Sep 2015 09:45:02 +0000

scribus (1.4.5+dfsg1-1) unstable; urgency=medium

  * [9185477] Imported Upstream version 1.4.5+dfsg1.
    + This removes several non-dfsg files.
  * [38cb2ce,bf61884] debian/rules: properly exclude the plugins from
    dh_fixperms.  Thanks to Philip Muskovac for the idea.
  * [c370e55] debian/copyright: exclude some non-free files from the packaging.
  * [cb64d70] debian/copyright: add several files from resources/watches.
    Closes: #792429
  * Upload to unstable.

 -- Mattia Rizzolo <mattia@mapreri.org>  Tue, 28 Jul 2015 12:27:49 +0000

scribus (1.4.5+dfsg-1) experimental; urgency=medium

  * [bc0356c] Imported Upstream version 1.4.5+dfsg
  * [ff7ac92] debian/patches/*: refresh against new upstream.
  * [440376d] debian/{control,rules}: use DejaVu fonts instead of Bitstream
              ones. LP: #1393349
  * debian/copyright:
    + [7e19874,6526887] review everything, to be fully comprehensive.
    + [a770530] fix typo "s/File/Files/".
    + [1a6521e] prepend entries in Files-Excluded by 'scribus-1.4.?/' to match
                tarballs content.
    + [06ac0f0] bump upstream year to 2015.
  * [e830dbb] debian/control: remove XB-Python-Version fields (pysupport is not
    used anymore).
  * [ae41591] Split the package (Closes: #712718).
    + [72dc566,0785fac,86ea637] debian/control: add scribus-data and
      scribus-dev stanzas, with appropriated relationships.
    + debian/dirs: drop, useless.
    + debian/docs: drop, useless.
    + rename debian/{install → scribus.install}, and update it.
    + debian/scribus-data.install: add with all usr/share stuff.
    + debian/scribus-dev.install: add with all usr/include stuff.
    + rename debian/{scribus → scribus-data}.links.
    + debian/rules:
      - fix a typo in the ChangeLogScripts file name (it was
        ChageLogScrips...).
      - update path (change debian/scribus by debian/tmp).
      - allow the auto-installation of the AUTHORS and TODO file.
      - override dh_install to use the --fail-missing option.

 -- Mattia Rizzolo <mattia@mapreri.org>  Fri, 17 Apr 2015 12:14:21 +0200

=== debian/control ===
Source: scribus
Section: graphics
Priority: extra
Maintainer: Oleksandr Moskalenko <malex@debian.org>
Uploaders: Mattia Rizzolo <mattia@mapreri.org>
Build-Depends: cmake (>= 2.4.3),
               debhelper (>= 9),
               gettext,
               libboost-python-dev,
               libcairo2-dev,
               libcups2-dev,
               libhunspell-dev,
               libhyphen-dev,
               liblcms2-dev,
               libpodofo-dev (>= 0.9.0),
               libqt4-dev,
               libtiff-dev,
               libxml2-dev (>= 2.6.16),
               python-all-dev (>= 2.6.6-3~),
               zlib1g-dev
Standards-Version: 3.9.6
Vcs-Git: git://anonscm.debian.org/collab-maint/scribus.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/scribus.git
Homepage: http://www.scribus.net

Package: scribus
Architecture: any
Depends: ghostscript (>= 8.61),
         python-tk,
         scribus-data (= ${source:Version}),
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Recommends: cups-bsd,
            fonts-dejavu,
            fonts-liberation,
            hyphen-hyphenation-patterns,
            icc-profiles-free,
            xfonts-scalable | gsfonts-x11
Suggests: icc-profiles,
          scribus-doc,
          scribus-template,
          texlive-latex-recommended
Provides: ${python:Provides}
Description: Open Source Desktop Page Layout - stable branch
 Scribus is an open source desktop page layout program with the aim of
 producing commercial grade output in PDF and Postscript.
 .
 Scribus can be used for many tasks; from brochure design to newspapers,
 magazines, newsletters and posters to technical documentation.
 .
 Scribus supports professional DTP features, such as CMYK color and a
 color management system to soft proof images for high quality color printing,
 flexible PDF creation options, Encapsulated PostScript import/export and
 creation of 4 color separations, import of EPS/PS and SVG as native vector
 graphics, Unicode text including right to left scripts such as Arabic and
 Hebrew via freetype. Graphic formats which can be placed in Scribus as images
 include PDF, Encapsulated Post Script (eps), TIFF, JPEG, PNG and XPixMap(xpm),
 and any bitmap type supported by QT4.
 .
 If you need to use the render frame install the texlive-latex-recommended
 package (suggested).

Package: scribus-data
Architecture: all
Depends: python,
         python-tk,
         ${misc:Depends},
         ${python:Depends}
Recommends: scribus (= ${source:Version})
Breaks: scribus (<< 1.4.5+dfsg-1)
Replaces: scribus (<< 1.4.5+dfsg-1)
Description: Open Source Desktop Page Layout  (data files)
 Scribus is an open source desktop page layout program with the aim of
 producing commercial grade output in PDF and Postscript, primarily, though
 not exclusively for Linux.
 .
 Scribus can be used for many tasks; from brochure design to newspapers,
 magazines, newsletters and posters to technical documentation.
 .
 Scribus supports professional DTP features, such as CMYK color and a
 color management system to soft proof images for high quality color printing,
 flexible PDF creation options, Encapsulated PostScript import/export and
 creation of 4 color separations, import of EPS/PS and SVG as native vector
 graphics, Unicode text including right to left scripts such as Arabic and
 Hebrew via freetype. Graphic formats which can be placed in Scribus as images
 include PDF, Encapsulated Post Script (eps), TIFF, JPEG, PNG and XPixMap(xpm),
 and any bitmap type supported by QT4.
 .
 This package contains the architecture-independent files.

Package: scribus-dev
Architecture: all
Section: libdevel
Depends: ${misc:Depends}
Recommends: scribus (= ${source:Version})
Breaks: scribus (<< 1.4.5+dfsg-1)
Replaces: scribus (<< 1.4.5+dfsg-1)
Description: Open Source Desktop Page Layout  (development files)
 Scribus is an open source desktop page layout program with the aim of
 producing commercial grade output in PDF and Postscript, primarily, though
 not exclusively for Linux.
 .
 Scribus can be used for many tasks; from brochure design to newspapers,
 magazines, newsletters and posters to technical documentation.
 .
 Scribus supports professional DTP features, such as CMYK color and a
 color management system to soft proof images for high quality color printing,
 flexible PDF creation options, Encapsulated PostScript import/export and
 creation of 4 color separations, import of EPS/PS and SVG as native vector
 graphics, Unicode text including right to left scripts such as Arabic and
 Hebrew via freetype. Graphic formats which can be placed in Scribus as images
 include PDF, Encapsulated Post Script (eps), TIFF, JPEG, PNG and XPixMap(xpm),
 and any bitmap type supported by QT4.
 .
 This package contains the development header files.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

CFLAGS += -D_LARGEFILE64_SOURCE=1 -D_LARGEFILE_SOURCE=1 -D_FILE_OFFSET_BITS=64
CXXFLAGS += -D_LARGEFILE64_SOURCE=1 -D_LARGEFILE_SOURCE=1 -D_FILE_OFFSET_BITS=64

%:
	dh $@ --buildsystem=cmake --parallel --with python2

override_dh_auto_configure:
	dh_auto_configure -- \
	    -DWANT_HUNSPELL=1 \
	    -DWANT_DISTROBUILD:BOOL=1 \
	    -DWANT_NORPATH:BOOL=1 \
	    -DCMAKE_SKIP_RPATH:BOOL=1 \
	    -DWANT_VERSIONING:BOOL=0

override_dh_auto_install:
	dh_auto_install
	mv -v $(CURDIR)/debian/tmp/usr/share/scribus/scripts/ChangeLog $(CURDIR)/debian/tmp/usr/share/doc/scribus/ChangeLogScripts
	rm -v $(CURDIR)/debian/tmp/usr/share/doc/scribus/ChangeLogSVN \
	      $(CURDIR)/debian/tmp/usr/share/doc/scribus/BUILDING \
	      $(CURDIR)/debian/tmp/usr/share/doc/scribus/ChangeLog \
	      $(CURDIR)/debian/tmp/usr/share/doc/scribus/PACKAGING \
	      $(CURDIR)/debian/tmp/usr/share/doc/scribus/NEWS \
	      $(CURDIR)/debian/tmp/usr/share/doc/scribus/COPYING \
	      $(CURDIR)/debian/tmp/usr/share/scribus/scripts/NEWS \
	      $(CURDIR)/debian/tmp/usr/share/scribus/scripts/TODO
	find $(CURDIR)/debian/tmp -type d -empty -delete
	# remove references to prorietary fonts and use free fonts in templates.
	# also remove references to Bitstream fonts, which are unmaintained, and
	# use DejaVu ones, instead
	# See https://bugs.debian.org/742003 and https://launchpad.net/bugs/1393349
	gunzip -v $(CURDIR)/debian/tmp/usr/share/scribus/templates/*/*.sla.gz
	sed -i $(CURDIR)/debian/tmp/usr/share/scribus/templates/*/*.sla \
		-e 's/Arial Regular/Liberation Sans Regular/g' \
		-e 's/Arial Black Regular/Liberation Sans Bold/g' \
		-e 's/FreeSans Medium/Liberation Sans Bold/g' \
		-e 's/Bitstream Vera Sans Roman/DejaVu Sans Book/g' \
		-e 's/Bitstream Vera Sans Mono Roman/DejaVu Sans Mono Book/g' \
		-e 's/Bitstream Vera Serif Roman/DejaVu Serif Book/g' \
		-e 's/Bitstream Vera Serif/DejaVu Serif/g' \
		-e 's/Bitstream Vera Sans/DejaVu Sans/g' \
		-e 's/Bitstream Vera Mono/DejaVu Mono/g'
	gzip -v -n -8 $(CURDIR)/debian/tmp/usr/share/scribus/templates/*/*.sla

override_dh_install:
	dh_install --fail-missing

override_dh_fixperms:
	dh_fixperms -X usr/lib/scribus/plugins
